org.apache.xerces.xs

## Interface XSIDCDefinition

All Superinterfaces:
  XSObject

    public interface XSIDCDefinition
    extends XSObject

This interface represents the Identity-constraint Definition schema component.

### Field Summary

Fields
`static short` `IC_KEY` See the definition of `key` in the identity-constraint category.
`static short` `IC_KEYREF` See the definition of `keyref` in the identity-constraint category.
`static short` `IC_UNIQUE` See the definition of `unique` in the identity-constraint category.

### Method Summary

All Methods Instance Methods Abstract Methods
`XSObjectList` `getAnnotations()` A sequence of [annotations] or an empty `XSObjectList`.
`short` `getCategory()` [identity-constraint category]: one of key, keyref or unique.
`StringList` `getFieldStrs()` [fields]: a non-empty list of restricted XPath 1.0 expressions.
`XSIDCDefinition` `getRefKey()` [referenced key]: required if [identity-constraint category] is keyref, `null` otherwise.
`java.lang.String` `getSelectorStr()` [selector]: a restricted XPath 1.0 expression.

### Methods inherited from interface org.apache.xerces.xs.XSObject

`getName, getNamespace, getNamespaceItem, getType`

### Field Detail

#### IC_KEY

    static final short IC_KEY

See the definition of `key` in the identity-constraint category.

See Also:
  Constant Field Values

#### IC_KEYREF

    static final short IC_KEYREF

See the definition of `keyref` in the identity-constraint category.

See Also:
  Constant Field Values

#### IC_UNIQUE

    static final short IC_UNIQUE

See the definition of `unique` in the identity-constraint category.

See Also:
  Constant Field Values

### Method Detail

#### getCategory

    short getCategory()

[identity-constraint category]: one of key, keyref or unique.

#### getSelectorStr

    java.lang.String getSelectorStr()

[selector]: a restricted XPath 1.0 expression.

#### getFieldStrs

    StringList getFieldStrs()

[fields]: a non-empty list of restricted XPath 1.0 expressions.

#### getRefKey

    XSIDCDefinition getRefKey()

[referenced key]: required if [identity-constraint category] is keyref, `null` otherwise. An identity-constraint definition with [ identity-constraint category] equal to key or unique.

#### getAnnotations

    XSObjectList getAnnotations()

A sequence of [annotations] or an empty `XSObjectList`.